com.independentsoft.exchange

## Class StandardFolderId

- java.lang.Object
- - com.independentsoft.exchange.Id
  - - com.independentsoft.exchange.FolderId
    - - com.independentsoft.exchange.StandardFolderId

-     public class StandardFolderId
      extends FolderId

  The Class StandardFolderId.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardFolderId()` Instantiates a new standard folder id.
    `StandardFolderId(StandardFolder id)` Instantiates a new standard folder id.
    `StandardFolderId(StandardFolder id, Mailbox mailbox)` Instantiates a new standard folder id.
    `StandardFolderId(StandardFolder id, java.lang.String changeKey)` Instantiates a new standard folder id.
    `StandardFolderId(StandardFolder id, java.lang.String changeKey, Mailbox mailbox)` Instantiates a new standard folder id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mailbox` | `getMailbox()` Gets the mailbox.
    `StandardFolder` | `getStandardFolder()` Gets the standard folder.
    `void` | `setMailbox(Mailbox mailbox)` Sets the mailbox.
    `void` | `setStandardFolder(StandardFolder id)` Sets the standard folder.
    `java.lang.String` | `toString()` Converts the value of the current FolderId object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.FolderId

      `getId, setId`

    - ### Methods inherited from class com.independentsoft.exchange.Id

      `getChangeKey, setChangeKey`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardFolderId

          public StandardFolderId()

      Instantiates a new standard folder id.

    - #### StandardFolderId

          public StandardFolderId(StandardFolder id)

      Instantiates a new standard folder id.
      Parameters:
        `id` - the id

    - #### StandardFolderId

          public StandardFolderId(StandardFolder id,
                                  java.lang.String changeKey)

      Instantiates a new standard folder id.
      Parameters:
        `id` - the id
        `changeKey` - the change key

    - #### StandardFolderId

          public StandardFolderId(StandardFolder id,
                                  Mailbox mailbox)

      Instantiates a new standard folder id.
      Parameters:
        `id` - the id
        `mailbox` - the mailbox

    - #### StandardFolderId

          public StandardFolderId(StandardFolder id,
                                  java.lang.String changeKey,
                                  Mailbox mailbox)

      Instantiates a new standard folder id.
      Parameters:
        `id` - the id
        `changeKey` - the change key
        `mailbox` - the mailbox

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `FolderId`
      Converts the value of the current FolderId object to its equivalent string representation.
      Overrides:
        `toString` in class `FolderId`
      Returns:
        the string

    - #### getStandardFolder

          public StandardFolder getStandardFolder()

      Gets the standard folder.
      Returns:
        the standard folder

    - #### setStandardFolder

          public void setStandardFolder(StandardFolder id)

      Sets the standard folder.
      Parameters:
        `id` - the new standard folder

    - #### getMailbox

          public Mailbox getMailbox()

      Gets the mailbox.
      Returns:
        the mailbox

    - #### setMailbox

          public void setMailbox(Mailbox mailbox)

      Sets the mailbox.
      Parameters:
        `mailbox` - the new mailbox